<?php

namespace App\ViewModels\ProdutoServico\ProdutoChangeStatusViewModel;

use App\Utils\Builder;

class ProdutoChangeStatusViewModelBuilder implements Builder {
	protected $id;
	// protected $nome;
	// protected $descricao;
	// protected $id_unidade;
	// protected $id_tipo;
	protected $id_status;
	// protected $criado_por;
	// protected $data_criacao;
	// protected $hora_criacao;
	protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;

	public function build(): ProdutoChangeStatusViewModel {

		$obj = new ProdutoChangeStatusViewModel();
		
		$obj->setId($this->id);
		$obj->setIdStatus($this->id_status);
		$obj->setAlteradoPor($this->alterado_por);
		$obj->setDataAlteracao($this->data_alteracao);
		$obj->setHoraAlteracao($this->hora_alteracao);

		return $obj;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): ProdutoChangeStatusViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): ProdutoChangeStatusViewModelBuilder {

		$this->id_status = $id_status;
		return $this;

	}

	/**
	 *
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por): ProdutoChangeStatusViewModelBuilder {

		$this->alterado_por = $alterado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao): ProdutoChangeStatusViewModelBuilder {

		$this->data_alteracao = $data_alteracao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao): ProdutoChangeStatusViewModelBuilder {

		$this->hora_alteracao = $hora_alteracao;
		return $this;

	}

}

